Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# isCAN

Interface for isCAN from Thorsis Technologies GmbH, former ifak system GmbH.

## Bus

class can.interfaces.iscan.IscanBus(channel, bitrate=500000, poll_interval=0.01, **kwargs)

  isCAN interface

  Parameters:

    - channel (str | int) – Device number

    - bitrate (int) – Bitrate in bits/s

    - poll_interval (float) – Poll interval in seconds when reading messages

exception can.interfaces.iscan.IscanError(function, error_code, arguments)
  Parameters:

    error_code (int) –

  Return type:

    None